#ifndef HARKIO_NOTIMPLEMENTED_HPP_
#define HARKIO_NOTIMPLEMENTED_HPP_

#include <stdexcept>
#include <string>

/** @file NotImplemented.hpp
 * @brief NotImplemented exception class definition.
 */

namespace harkio2
{

/** @brief Not implemented exception.
 * A exception class which represents that a feature is not implemented yet.
 */
class NotImplemented : public std::logic_error
{
public:
    explicit NotImplemented(const std::string& arg)
        : std::logic_error(arg)
    {}
};

}

#endif // HARKIO_NOTIMPLEMENTED_HPP_

